import { Notification, MessageBox } from 'element-ui';

export const enableAccessControl = window.localStorage.getItem('enableAccessControl') == '1';

export const alertInfo = () => {
  Notification({
    title: '温馨提示',
    type: 'warning',
    message: '在此页面进行修改、删除等操作将更改本商户下所有的配置 请谨慎进行',
    customClass: 'dm-notification'
  });
};

export const confirmInfo = (fn, type) => {
  MessageBox.confirm(' 在此页面进行修改、删除等操作将更改本商户下所有的配置 是否确认修改 需要再次确认才能保存成功', '提示', {
    confirmButtonText: '确定',
    cancelButtonText: '取消',
    type: 'warning'
  })
    .then(() => {
      fn(type);
    })
    .catch(() => {
      //
    });
};
